Update Malware Prevention Configuration

Update Malware Prevention Configuration
Update Malware Prevention Configuration

Update configuration for Malware Prevention deployment.

The Malware Prevention configuration specifies parameters for file analysis. This configuration must be provided before deploying the Malware Prevention feature.

Request
URI
PUT
https://{api_host}/ssp/lcm/malware-prevention/config
COPY
Request Body

Update Malware Prevention configuration.

MalwarePreventionConfiguration of type(s) application/json
Required  
This request body class requires all of the following: ManagedResource , MalwarePreventionParameters
{
    "_create_user": "string",
    "_create_time": 0,
    "_last_modified_user": "string",
    "_last_modified_time": 0,
    "_revision": 0,
    "_resource_type": "string",
    "_system_owned": false,
    "id": "string",
    "display_name": "string",
    "description": "string",
    "site_ids": [
        "string"
    ],
    "cloud_file_sharing_params": {
        "file_metadata_sharing_mode": false,
        "file_sharing_mode": false,
        "file_type_categories": {
            "archive": false,
            "document": false,
            "executable": false,
            "java": false,
            "media": false,
            "script": false
        }
    },
    "data_retention_params": {
        "file_retention_duration": 0,
        "report_retention_duration": 0
    },
    "mps_features_supported": [
        "string"
    ]
}
Authentication
This operation uses the following authentication methods.
Responses
202

Update request has been processed and accepted.

Returns AsyncApiResponse of type(s) application/json
{
    "id": "b8f47985-22ed-3193-bca8-11c7b025cbce",
    "status_url": "/operation/status"
}
string
id
Optional

UUID identifier of the response.

string
status_url
Optional

The URL to check the status of the operation.


400

Bad Request - Invalid configuration parameters.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed - The provided _revision does not match the current persisted value. The client should retrieve the current configuration, merge changes, and retry with the correct revision.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required - The _revision property is required for updates but was not provided in the request body.

Returns Error of type(s) application/json
"Error Object"
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Update operation encountered error.

Returns Error of type(s) application/json
"Error Object"
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/lcm/malware-prevention/config